local params = ...
if not params then
    print( 'Parameters are empty. Expected http event data.' )
    return
end

function dump_table( t )
    for key, value in pairs( t ) do
        print( key, ': ', value )
    end
end

if params.event == 'http_data_received' and params.data then
    print( 'Received reply to a request: ' )
    --dump_table( params.data )
    print( params.data.data )
end
